/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-09-24
 * Changed:         2023-09-24
 *
 * */

#ifndef LS_STD_COMMAND_HPP
#define LS_STD_COMMAND_HPP

#include <string>

namespace ls::std::cli
{
  class Command
  {
    public:

      Command();
      ~Command();

      [[nodiscard]] ::std::string getName() const;
      void setName(::std::string_view _name);

    private:

      ::std::string name{};
  };
}

#endif
