/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-09-24
 * Changed:         2023-09-24
 *
 * */

#include <ls-std/cli/Command.hpp>

using ls::std::cli::Command;
using std::string;
using std::string_view;

Command::Command() = default;

Command::~Command() = default;

string Command::getName() const
{
  return this->name;
}

void Command::setName(string_view _name)
{
  this->name = _name;
}
