/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-09-24
 * Changed:         2023-09-24
 *
 * */

#include <gtest/gtest.h>
#include <ls-std/ls-std-cli.hpp>
#include <string>

using ls::std::cli::Command;
using std::string;
using testing::Test;

namespace
{
  class CommandTest : public Test
  {
    public:

      CommandTest() = default;
      ~CommandTest() override = default;
  };

  TEST_F(CommandTest, getName)
  {
    Command command{};
    ASSERT_TRUE(command.getName().empty());
  }

  TEST_F(CommandTest, setName)
  {
    Command command{};
    string commandName = "ecm";
    ASSERT_TRUE(command.getName().empty());

    command.setName(commandName);
    ASSERT_STREQ(commandName.c_str(), command.getName().c_str());
  }
}
